Saltar al contenido principal
POST
/
crm
/
pipelines
/
2026-03
/
{objectType}
Create a pipeline
curl --request POST \
  --url https://api.hubapi.com/crm/pipelines/2026-03/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayOrder": 123,
  "label": "<string>",
  "stages": [
    {
      "displayOrder": 123,
      "label": "<string>",
      "metadata": {},
      "stageId": "<string>"
    }
  ],
  "pipelineId": "<string>"
}
'
import requests

url = "https://api.hubapi.com/crm/pipelines/2026-03/{objectType}"

payload = {
"displayOrder": 123,
"label": "<string>",
"stages": [
{
"displayOrder": 123,
"label": "<string>",
"metadata": {},
"stageId": "<string>"
}
],
"pipelineId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayOrder: 123,
label: '<string>',
stages: [{displayOrder: 123, label: '<string>', metadata: {}, stageId: '<string>'}],
pipelineId: '<string>'
})
};

fetch('https://api.hubapi.com/crm/pipelines/2026-03/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOrder": 123,
  "id": "<string>",
  "label": "<string>",
  "stages": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "displayOrder": 123,
      "id": "<string>",
      "label": "<string>",
      "metadata": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

objectType
string
requerido

Cuerpo

application/json
displayOrder
integer<int32>
requerido

The order for displaying this pipeline. If two pipelines have a matching displayOrder, they will be sorted alphabetically by label.

label
string
requerido

A unique label used to organize pipelines in HubSpot's UI

stages
object[]
requerido

Pipeline stage inputs used to create the new or replacement pipeline.

pipelineId
string

Respuesta

successful operation

archived
boolean
requerido

Whether the pipeline is archived.

createdAt
string<date-time>
requerido

The date the pipeline was created. The default pipelines will have createdAt = 0.

displayOrder
integer<int32>
requerido

The order for displaying this pipeline. If two pipelines have a matching displayOrder, they will be sorted alphabetically by label.

id
string
requerido

A unique identifier generated by HubSpot that can be used to retrieve and update the pipeline.

label
string
requerido

A unique label used to organize pipelines in HubSpot's UI

stages
object[]
requerido

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

updatedAt
string<date-time>
requerido

The date the pipeline was last updated.

archivedAt
string<date-time>

The date the pipeline was archived. archivedAt will only be present if the pipeline is archived.

Última modificación el 3 de abril de 2026